/**
 * Implements settings management
 */

import React, { useState, useEffect, createContext } from 'react';


export const fetchSettings = async () => {
	return {
		login: "login",
		password: "password"
	}
}


export const saveSettings = async () => {

}


export const defaultCtxValue = {
	fetching: true,
    fetched: false,

    saving: false,

    login: null,
    password: null,

    fetch: () => null,
    save: () => null
};


export const SettingsContext = createContext(defaultCtxValue);


// HoC component
export default (Wrapped) => (props) => {
	const [settings, updateSettings] = useState({ ...defaultCtxValue, fetch, save });

	//wrapped backend calls 
	async function fetch() {
		updateSettings({ ...settings, fetching: true });
		let response = await fetchSettings();
		updateSettings({ ...settings, fetching: false, fetched: true });
	}

	async function save() {
		updateSettings({ ...settings, saving: true });
		let response = await saveSettings();
		updateSettings({ ...settings, saving: false });
	}

	//try to fetch settings once the component is mounted
	useEffect(() => {
		fetch();
	}, []);

	return (
		<SettingsContext.Provider value={ settings }>
			<Wrapped settings={ settings } {...props} />
		</SettingsContext.Provider>
	);

}